Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007423Dwarf FortressDwarf Mode -- Itemspublic2014-07-17 10:192016-07-16 08:42
ReporterKhym Chanur 
Assigned ToFootkerchief 
PrioritynormalSeverityminorReproducibilitysometimes
StatusconfirmedResolutionreopened 
PlatformAMD x86, 64 bit OSFedora 20OS VersionLinux 3.15
Product Version0.40.03 
Target VersionFixed in Version 
Summary0007423: Can't brew embark-bought fruits (in bags?)
DescriptionWhen I embark with some fruits from the "garden vegetables" section, they'll show up under the kitchen menu as brewable, yet can't be brewed at the still. However, according to some comments under bug 0006940, others have succeeded at doing this.

I'm able to add a "brew vegetable" task, which will complete successfully, so the problem isn't brewing in general.

Might be related to bug #6784
Steps To Reproduce1) Get the saved game at http://dffd.wimbli.com/file.php?id=9036 [^]

2) Try to add a "brew fruits" task to the still immediately to the south of the wagon.
Additional InformationThis is not a duplicate of bug 0006940, since that bug is about harvested "garden vegetables" not being right or usable. Embark bought ones are different (e.g., garlic bulbs, rather than the "garlic plants" that 6940 gives) and embark bought fruits *can* be cooked.
TagsNo tags attached.
Attached Files

- Relationships
related to 0006336resolvedToady One Only one minecart per material purchased on embark can be used 
has duplicate 0008745resolvedKnight Otu Grapes can't be brewed 
related to 0007447resolvedLoci Brewing doesn't work 

-  Notes
(0026983)
troas (reporter)
2014-07-19 19:36

I'd originally reported this on bug 006940, but I can confirm that I also have this issue - my strawberries, cranberries, bilberries, and blueberries were bought at embark.
(0027002)
Kumquat (reporter)
2014-07-20 04:41

One thing I have noticed, with more stuff switching to custom reactions, is that plants and fruit need to be in a food stockpile before they are available for brewing.
(0027011)
troas (reporter)
2014-07-20 07:39

Continuing with the same save - I was able to brew wine from caravan purchased cranberries, bilberries, and blueberry fruits.
(0027046)
Khym Chanur (reporter)
2014-07-20 13:02

> is that plants and fruit need to be in a food stockpile before they are
> available for brewing.

I was able to brew plump helmets while they were still inside of the wagon.
(0028184)
panando (reporter)
2014-08-02 19:03

Embark fruit can be brewed if it is dumped from the bags first.
(0030854)
cybergon (reporter)
2014-11-03 03:39

I've been experimenting with this a bit, and I've come across a very peculiar behavior: I dumped the fruit, reclaimed it, dwarves put it back in a barrel in the food stockpile, yet I still can't brew it. BUT, if I then remove the stockpile, and there's no other stockpile where to put the barrel in question, it magically lets me brew the fruit! As soon as I set up the stockpile again as it was, the "brew drink from fruit" option gets disabled, even if I never unpause the game the whole time. When the fruit is stockpiled without a barrel or even just lying around you can brew it no problem, but if the fruit's in a bag then it doesn't care about stockpiles, you can't brew it no matter what.

So those are my results, hope it helps.
(0033281)
Button (reporter)
2015-12-02 10:41

This appears to be fixed, or at least have a workaround, in 0.42.01. Growths brought in bags are moved from their bags to barrels as soon as a stockpile accepting barrels is created and empty barrels are available. I haven't tried to see if they're brewable straight from bags yet.
(0033301)
Footkerchief (manager)
2015-12-02 14:54

Thanks, we'll call it fixed.
(0034531)
Dwarfu (manager)
2016-01-23 14:56

Button, that was a new bug introduced in 42.01 where bagged items weren't properly handled (0009219) that affected, dye, seeds, etc.

Loci - please PM a manager on the forum to have something reopened.
(0034532)
Loci (manager)
2016-01-23 15:03

v0.42.05: Embark fruit still comes in bags, and bagged fruit is still unbrewable.
(0035638)
JustAnotherLurker (reporter)
2016-07-15 23:43

v0.43.03: Same.

- Issue History
Date Modified Username Field Change
2014-07-17 10:19 Khym Chanur New Issue
2014-07-17 10:41 Footkerchief Relationship added related to 0006940
2014-07-19 19:36 troas Note Added: 0026983
2014-07-19 19:39 troas Issue Monitored: troas
2014-07-20 04:41 Kumquat Note Added: 0027002
2014-07-20 07:39 troas Note Added: 0027011
2014-07-20 13:02 Khym Chanur Note Added: 0027046
2014-08-02 19:03 panando Note Added: 0028184
2014-08-02 19:57 Dwarfu Relationship replaced child of 0006940
2014-08-02 19:57 Dwarfu Assigned To => Dwarfu
2014-08-02 19:57 Dwarfu Status new => acknowledged
2014-08-07 18:14 Footkerchief Relationship added related to 0007447
2014-08-07 18:14 Footkerchief Relationship deleted child of 0006940
2014-08-20 02:17 ptb_ptb Note Added: 0029347
2014-08-20 05:04 ptb_ptb Note Edited: 0029347 View Revisions
2014-08-21 00:05 ptb_ptb Note Deleted: 0029347
2014-11-03 03:39 cybergon Note Added: 0030854
2014-11-03 03:42 cybergon Issue Monitored: cybergon
2014-11-04 16:15 Footkerchief Status acknowledged => confirmed
2014-11-04 16:16 Footkerchief Summary Can't brew embark-bought fruits => Can't brew embark-bought fruits (in bags?)
2014-11-04 17:59 lethosor Relationship added related to 0006336
2015-01-23 13:17 Knight Otu Relationship added has duplicate 0008745
2015-12-02 10:41 Button Note Added: 0033281
2015-12-02 14:54 Footkerchief Note Added: 0033301
2015-12-02 14:54 Footkerchief Status confirmed => resolved
2015-12-02 14:54 Footkerchief Fixed in Version => 0.42.01
2015-12-02 14:54 Footkerchief Resolution open => fixed
2015-12-02 14:54 Footkerchief Assigned To Dwarfu => Toady One
2016-01-23 14:47 Loci Tag Attached: not fixed
2016-01-23 14:56 Dwarfu Note Added: 0034531
2016-01-23 14:56 Dwarfu Assigned To Toady One => Footkerchief
2016-01-23 14:56 Dwarfu Status resolved => new
2016-01-23 14:57 Dwarfu Status new => assigned
2016-01-23 14:57 Dwarfu Resolution fixed => reopened
2016-01-23 15:03 Loci Note Added: 0034532
2016-07-15 13:36 Loci Tag Detached: not fixed
2016-07-15 23:43 JustAnotherLurker Note Added: 0035638
2016-07-16 08:42 lethosor Status assigned => confirmed
2016-07-16 08:42 lethosor Fixed in Version 0.42.01 =>
2017-06-08 20:06 Huntthetroll Issue Monitored: Huntthetroll


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker